'use strict';

var React = require('react');
var noop = require('./noop-cjs.js');

const defaultValues = {
    title: "",
    data: [],
    headers: {},
    children: [],
    selected: [],
    layoutBreakpoints: [],
    layouts: {
        xs: children => React.createElement(React.Fragment, null, children),
        sm: children => React.createElement(React.Fragment, null, children),
        md: children => React.createElement(React.Fragment, null, children),
        lg: children => React.createElement(React.Fragment, null, children),
        xl: children => React.createElement(React.Fragment, null, children),
    },
    registerLayout: noop.noop,
};
const DataListContext = React.createContext(defaultValues);
function useDataListContext() {
    return React.useContext(DataListContext);
}

exports.DataListContext = DataListContext;
exports.defaultValues = defaultValues;
exports.useDataListContext = useDataListContext;
